PLUGINSRCDIR = $(top_srcdir)/audacious

I_LIBS += $(top_srcdir)/freeverb/libfreeverb3.la

if BUILD_PLUGDOUBLE
I_LIBS += $(fftw3_LIBS)
else
I_LIBS += $(fftw3f_LIBS)
endif

INCLUDES = -I$(top_srcdir) -I$(top_srcdir)/libgdither -I$(top_srcdir)/audacious/ $(fftw3f_CFLAGS) $(fftw3_CFLAGS)

DSP_PLUGINS = librevmodel.la libmbcomp.la libstenh.la libstrev.la libprogenitor.la libgd_lroom.la libearlyr.la libearlyr2.la \
	    libnoise1.la libzrev1.la libzrev2.la libnrev.la libimpulser2.la

if BUILD_PLUGDOUBLE
INCLUDES += -DPLUGDOUBLE
endif

if ENABLE_PLUGINIT
INCLUDES += -DPLUGINIT
endif

common_SOURCES = $(PLUGINSRCDIR)/so.c $(PLUGINSRCDIR)/so.h $(PLUGINSRCDIR)/libxmmsplugin.hpp $(PLUGINSRCDIR)/libxmmsplugin_table.hpp

librevmodel_la_LDFLAGS = -module -avoid-version -Wl,-Bsymbolic
librevmodel_la_LIBADD = $(I_LIBS)
librevmodel_la_SOURCES = $(PLUGINSRCDIR)/revmodel.cpp $(common_SOURCES)

libmbcomp_la_LDFLAGS = -module -avoid-version
libmbcomp_la_LIBADD = $(I_LIBS)
libmbcomp_la_SOURCES = $(PLUGINSRCDIR)/compressor.cpp $(common_SOURCES)

libstenh_la_LDFLAGS = -module -avoid-version
libstenh_la_LIBADD = $(I_LIBS)
libstenh_la_SOURCES = $(PLUGINSRCDIR)/stenh.cpp $(common_SOURCES)

libstrev_la_LDFLAGS = -module -avoid-version
libstrev_la_LIBADD = $(I_LIBS)
libstrev_la_SOURCES = $(PLUGINSRCDIR)/strev.cpp $(common_SOURCES)

libprogenitor_la_LDFLAGS = -module -avoid-version
libprogenitor_la_LIBADD = $(I_LIBS)
libprogenitor_la_SOURCES = $(PLUGINSRCDIR)/progenitor.cpp $(common_SOURCES)

libgd_lroom_la_LDFLAGS = -module -avoid-version
libgd_lroom_la_LIBADD = $(I_LIBS)
libgd_lroom_la_SOURCES = $(PLUGINSRCDIR)/gd_largeroom.cpp $(common_SOURCES)

libearlyr_la_LDFLAGS = -module -avoid-version
libearlyr_la_LIBADD = $(I_LIBS)
libearlyr_la_SOURCES = $(PLUGINSRCDIR)/earlyr.cpp $(common_SOURCES)

libearlyr2_la_LDFLAGS = -module -avoid-version
libearlyr2_la_LIBADD = $(I_LIBS)
libearlyr2_la_SOURCES = $(PLUGINSRCDIR)/earlyr2.cpp $(common_SOURCES)

libnoise1_la_LDFLAGS = -module -avoid-version
libnoise1_la_LIBADD = $(I_LIBS)
libnoise1_la_SOURCES = $(PLUGINSRCDIR)/noise.cpp $(common_SOURCES)

libzrev1_la_LDFLAGS = -module -avoid-version
libzrev1_la_LIBADD = $(I_LIBS)
libzrev1_la_SOURCES = $(PLUGINSRCDIR)/zrev1.cpp $(common_SOURCES)

libzrev2_la_LDFLAGS = -module -avoid-version
libzrev2_la_LIBADD = $(I_LIBS)
libzrev2_la_SOURCES = $(PLUGINSRCDIR)/zrev2.cpp $(common_SOURCES)

libnrev_la_LDFLAGS = -module -avoid-version
libnrev_la_LIBADD = $(I_LIBS)
libnrev_la_SOURCES = $(PLUGINSRCDIR)/nrev.cpp $(common_SOURCES)

libimpulser2_la_LDFLAGS = -module -avoid-version
libimpulser2_la_LIBADD = $(I_LIBS) $(top_srcdir)/libgdither/libgdither.la $(sndfile_LIBS)
libimpulser2_la_SOURCES = $(PLUGINSRCDIR)/CFileLoader.hpp  $(PLUGINSRCDIR)/CFileLoader_t.hpp $(PLUGINSRCDIR)/impulser2.cpp \
 $(PLUGINSRCDIR)/wave.xpm $(PLUGINSRCDIR)/so.c
